//
//  EGORefreshTableHeaderView.h
//  Demo
//
//  Created by Devin Doty on 10/14/09October14.
//  Copyright 2009 enormego. All rights reserved.
//
//  Permission is hereby granted, free of charge, to any person obtaining a copy
//  of this software and associated documentation files (the "Software"), to deal
//  in the Software without restriction, including without limitation the rights
//  to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
//  copies of the Software, and to permit persons to whom the Software is
//  furnished to do so, subject to the following conditions:
//
//  The above copyright notice and this permission notice shall be included in
//  all copies or substantial portions of the Software.
//
//  THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
//  IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
//  FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
//  AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
//  LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
//  OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
//  THE SOFTWARE.
//

#import <UIKit/UIKit.h>
#import <QuartzCore/QuartzCore.h>

typedef enum{
	CMPullRefreshPulling = 0,
	CMPullRefreshNormal,
	CMPullRefreshLoading,	
} CMPullRefreshState;

@protocol CMRefreshTableHeaderDelegate;

@interface CMRefreshTableHeaderView : UIView {
	
	id _delegate;
	CMPullRefreshState _state;

	UILabel *_lastUpdatedLabel;
	UILabel *_statusLabel;
	CALayer *_arrowImage;
	UIActivityIndicatorView *_activityView;
	

}

@property (nonatomic,readonly) UILabel *lastUpdatedLabel;

@property (nonatomic,readonly) UILabel *statusLabel;

@property (nonatomic,readonly) CALayer *arrowImage;

@property (nonatomic,readonly) UIActivityIndicatorView *activityView;

@property(nonatomic,assign) id <CMRefreshTableHeaderDelegate> delegate;

- (id)initWithFrame:(CGRect)frame arrowImage:(UIImage *)arrow textColor:(UIColor *)textColor;

- (void)refreshLastUpdatedDate;
- (void)refreshScrollViewDidScroll:(UIScrollView *)scrollView;
- (void)refreshScrollViewDidEndDragging:(UIScrollView *)scrollView;
- (void)refreshScrollViewDataSourceDidFinishedLoading:(UIScrollView *)scrollView;

@end

@protocol CMRefreshTableHeaderDelegate

- (void)refreshTableHeaderDidTriggerRefresh:(CMRefreshTableHeaderView*)view;
- (BOOL)refreshTableHeaderDataSourceIsLoading:(CMRefreshTableHeaderView*)view;

@optional

- (NSDate*)refreshTableHeaderDataSourceLastUpdated:(CMRefreshTableHeaderView*)view;

@end
